const formatMoney = (v, len, split) => {
  if (!v) return '0.00';
  split = split || ',', len = Math.abs((+len) % 20 || 2);
  v = parseFloat((v + '').replace(/[^\d\.-]/g, '')).toFixed(len) + '';
  return v.replace(/\d+/, function(v) {
    let lit = v.length % 3 == 0;
    let index = lit ? v.length - 3 : -1;
    return v.split('').reverse().join('').replace(/\d{3}/g, function(k, l) {
      return k + ((l == index && lit) ? '' : split);
    }).split('').reverse().join('');
  });
};

const formatDate = (val, format) => {
  if (!val) return '--';
  val = new Date(val);
  let y = val.getFullYear();
  let m = (val.getMonth() + 1).toString().padStart(2, '0');
  let d = val.getDate().toString().padStart(2, '0');
  let h = val.getHours().toString().padStart(2, '0');
  let mm = val.getMinutes().toString().padStart(2, '0');
  let s = val.getSeconds().toString().padStart(2, '0');
  if (format == 'ymd') {
    return y + '-' + m + '-' + d;
  } else if (format == 'hms') {
    return h + ':' + mm + ':' + s;
  }
  return `${y}-${m}-${d} ${h}:${mm}:${s}`;
};

// 时间戳转换成年月日
const getTime = (time) => {
  if (!isNaN(time)) time = Number(time);
  let now = new Date(time);
  let year = now.getFullYear();
  let month = now.getMonth() + 1;
  month = month >= 10 ? month : '0' + month; // 判断小于10月份的情况
  let date = now.getDate();
  date = date >= 10 ? date : '0' + date; // 判断小于10日的情况
  return year + '-' + month + '-' + date;
};
// 时间戳转换成时分秒
const getSeconds = (time) => {
  if (!isNaN(time)) time = Number(time);
  let now = new Date(time);
  let hour = now.getHours();
  hour = hour >= 10 ? hour : '0' + hour; // 判断小于10的时的情况
  let minute = now.getMinutes();
  minute = minute >= 10 ? minute : '0' + minute; // 判断小于10的分的情况
  let second = now.getSeconds();
  second = second >= 10 ? second : '0' + second; // 判断小于10的秒的情况
  return hour + ':' + minute + ':' + second;
};
// 时间戳转换成时分
const getSeconds2 = (time) => {
  if (!isNaN(time)) time = Number(time);
  let now = new Date(time);
  let hour = now.getHours();
  hour = hour >= 10 ? hour : '0' + hour; // 判断小于10的时的情况
  let minute = now.getMinutes();
  minute = minute >= 10 ? minute : '0' + minute; // 判断小于10的分的情况
  return hour + ':' + minute;
};
// 时间戳转换成年月日时分秒
const formatDate2 = (time) => {
  if (!isNaN(time)) time = Number(time);
  let now = new Date(time);
  let year = now.getFullYear();
  let month = now.getMonth() + 1;
  month = month >= 10 ? month : '0' + month; // 判断小于10月份的情况
  let date = now.getDate();
  date = date >= 10 ? date : '0' + date; // 判断小于10日的情况
  let hour = now.getHours();
  hour = hour >= 10 ? hour : '0' + hour; // 判断小于10的时的情况
  let minute = now.getMinutes();
  minute = minute >= 10 ? minute : '0' + minute; // 判断小于10的分的情况
  let second = now.getSeconds();
  second = second >= 10 ? second : '0' + second; // 判断小于10的秒的情况

  return year + '-' + month + '-' + date + ' ' + hour + ':' + minute + ':' + second;
};

export default {
  formatMoney,
  formatDate,
  getTime,
  getSeconds,
  getSeconds2,
  formatDate2
};
