const path = require("path");

module.exports = {
  productionSourceMap: process.env.NODE_ENV !== 'production',
  publicPath: process.env.NODE_ENV === 'production' ? '/gic-marketing-operation' : '/',
  devServer: {
    overlay: {
      warnings: true,
      errors: true
    }
  },
  configureWebpack: config => {
    config.externals = {
      vue: 'Vue',
      // 'vue-router': 'VueRouter',
      // vuex: 'Vuex',
      // axios: 'axios',
      'element-ui': 'ELEMENT',
      // BMap: 'BMap'
    };
    if (process.env.NODE_ENV === 'production') {
      config.optimization.minimizer[0].options.terserOptions.compress.warnings = false;
      config.optimization.minimizer[0].options.terserOptions.compress.drop_console = true;
      config.optimization.minimizer[0].options.terserOptions.compress.drop_debugger = true;
      config.optimization.minimizer[0].options.terserOptions.compress.pure_funcs = [
        'console.log'
      ];
    }
  }
};
